package com.softtrac.io;

import java.io.*;

public class InputStream {
   
   /**
    * Reads a line from the input stream and returns it as a String.
    */
   public static String readLine(java.io.InputStream in)
   {
      InputStreamReader reader = new InputStreamReader(in);
      BufferedReader buffer = new BufferedReader(reader);
      
      String choice = "";
      while (choice.equals(""))
      {
         try
         {
            choice = buffer.readLine();
         }
         catch(IOException e)
         {
            System.out.println(e.getMessage());
            choice = "";
         }
      }
      
      return choice;
   }
}

