//-----------------------------------------------------------------------------
// FILE:              JavaEvent.h
//
//    Copyright (C)  2000 SoftTrac Corporation. All rights reserved.
//-----------------------------------------------------------------------------
// %W% %G%
#ifndef SoftTrac_JavaEvent_H
#define SoftTrac_JavaEvent_H

#include "jni/JavaMessage.h"

namespace SoftTrac {

class JavaListener;

//-----------------------------------------------------------------------------
// CLASS:  JavaEvent
//-----------------------------------------------------------------------------
class JavaEvent : public JavaMessage
{
public:
   static JavaEvent* event(const std::string& eventName);

   virtual void attach(JavaListener*) = 0;
   virtual void detach(JavaListener*) = 0;

protected:
   JavaEvent(const std::string& nativeEventName);
};

} // namespace SoftTrac

#endif
