//----------------------------------------------------------------- 
// FILE: HumanPlayer.cpp
//----------------------------------------------------------------- 

#include "tconfig.h"
#include <iostream>
#include "HumanPlayer.h"
#include "Board.h"
#include "Token.h"

using namespace std;

namespace SoftTrac {


//----------------------------------------------------------------- 
// HumanPlayer::nextMove
//----------------------------------------------------------------- 
void HumanPlayer::nextMove()
{
   Board::SquareStack path;
   Square start;

   while (path.empty())
   {
      cout << "Move a square from start to finish: ";
      int r3, c3, r4, c4;
      cin >> r3 >> c3 >> r4 >> c4;
      cout << endl;
      start = Square(r3, c3);
      Square finish(r4, c4);
      path = theBoard->path(start, finish);
   }
  
   Square s = start;
   while (!path.empty())
   {
      Square f = path.top();
      char c = theBoard->getToken(s)->getToken();
      theBoard->putToken(s, ' ');
      theBoard->putToken(f, c);
	   path.pop();
	   s = f;
//	   cout << theBoard << endl;
//	   cout << "\nEnter 'c' to continue...";
//	   char input;
//	   cin >> input;
//	   cout << endl;
   }
}


} // namespace SoftTrac
