//----------------------------------------------------------------- 
// FILE: Player.h
//----------------------------------------------------------------- 
#ifndef Player_h
#define Player_h

namespace SoftTrac {


class Board;

//----------------------------------------------------------------- 
// CLASS: Player
//----------------------------------------------------------------- 
class Player
{
public:
   Player(Board* board=0) : theBoard(board) {}

   virtual void setBoard(Board* board) { theBoard = board; }
   virtual void nextMove() = 0;

protected:
   Board* theBoard;
};


} // namespace SoftTrac

#endif
