//-----------------------------------------------------------------------------
// NAME: Timothy R. Culp
// FILE: functional.cpp
//-----------------------------------------------------------------------------

#include "tconfig.h"
#include "functional.h"
#include <cstdlib>
#include <time.h>

namespace SoftTrac {


bool Rand::isSeeded = false;


//-----------------------------------------------------------------------------
// Rand::Rand
//-----------------------------------------------------------------------------
Rand::Rand()
{
   if (!isSeeded)
   {
      time_t t;
      srand(time(&t));
      isSeeded = true;
   }
}


//-----------------------------------------------------------------------------
// Rand::operator()
//-----------------------------------------------------------------------------
unsigned long Rand::operator()(unsigned long n)
{
   return rand() % n;
}


} // namespace SoftTrac
