//-----------------------------------------------------------------------------
// FILE:              Observer.h
//
//    Copyright (C)  2000 SoftTrac Corporation. All rights reserved.
//-----------------------------------------------------------------------------
// %W% %G%
#ifndef SoftTrac_Observer_h
#define SoftTrac_Observer_h

#include <stdexcept>

namespace SoftTrac {

class Event;

//-----------------------------------------------------------------------------
// CLASS: Observer
//-----------------------------------------------------------------------------
class Observer
{
public:
   virtual void update(Event*) throw (std::invalid_argument) = 0;

   virtual std::string name() const = 0;
};

} // namespace SoftTrac 


#endif
