//---------------------------------------------------------------------------
// FILE:  XyzVector.h
//---------------------------------------------------------------------------
#ifndef XyzVector_H
#define XyzVector_H

#include "points/VectorT.h"


//---------------------------------------------------------------------------
// CLASS:  XyzVector
//---------------------------------------------------------------------------
template <class T>
class XyzVector : public VectorT<XyzVector<T>,T,3>
{
public:
	XyzVector(){}
   XyVector(const VectorT<XyVector<T>,T,3>& vt):VectorT<XyVector<T>,T,3>(vt){}
	XyzVector(double x, double y, double z) : VectorT<XyzVector<T>,T,3>(x,y,z){}

	const double& x() const { return at(0); }
	double&       x()       { return at(0); }

	const double& y() const { return at(1); }
	double&       y()       { return at(1); }

	const double& z() const { return at(2); }
	double&       z()       { return at(2); }
};


#endif

