//-----------------------------------------------------------------------------
// FILE:              tstring.h
//
//    Copyright (C)  2000 SoftTrac Corporation. All rights reserved.
//-----------------------------------------------------------------------------
// %W% %G%
#ifndef SoftTrac_tstring_h
#define SoftTrac_tstring_h

#include <sstream>
#include <string>

namespace SoftTrac {

//-----------------------------------------------------------------------------
// toString
//-----------------------------------------------------------------------------
template <class T>
std::string toString(const T& t)
{
   std::ostringstream oss;
   oss << t;
   return oss.str();
}

} // namespace SoftTrac

#endif