//-----------------------------------------------------------------------------
// FILE:              JavaCommand.h
//
//    Copyright (C)  2000 SoftTrac Corporation. All rights reserved.
//-----------------------------------------------------------------------------
// %W% %G%
#ifndef SoftTrac_JavaCommand_H
#define SoftTrac_JavaCommand_H

#include "jni/JavaMessage.h"

namespace SoftTrac {

//-----------------------------------------------------------------------------
// CLASS:  JavaCommand
//-----------------------------------------------------------------------------
class JavaCommand : public JavaMessage
{
public:
   static JavaCommand* command(std::istream&);

   std::string execute(std::istream&);

protected:
   JavaCommand(const std::string& nativeCommandName);

   virtual void realExecute() = 0;
};

} // namespace SoftTrac


#endif


