//----------------------------------------------------------------- 
// FILE: TokenGenerator.h
//----------------------------------------------------------------- 
#ifndef TokenGenerator_h
#define TokenGenerator_h

#include <vector>
#include "functional.h"

namespace SoftTrac {


class Token;

//----------------------------------------------------------------- 
// CLASS: TokenGenerator
//----------------------------------------------------------------- 
class TokenGenerator
{
public:
   static const Token* next(int numTokens);

private:
   static void initialize();
   
   static std::vector<Token*> theTokens;
   static Rand                theRandomizer;
};


} // namespace SoftTrac


#endif
