//----------------------------------------------------------------- 
// FILE: functional.h
//----------------------------------------------------------------- 
#ifndef functional_h
#define functional_h

#include <functional>

namespace SoftTrac {


//-----------------------------------------------------------------------------
// CLASS: Rand
//-----------------------------------------------------------------------------
class Rand : public std::unary_function<unsigned long, unsigned long>
{
public:
   Rand();
   unsigned long operator()(unsigned long n);

private:
   static bool isSeeded;
};


} // namespace SoftTrac


#endif
