/**
 * Assertion.java
 *
 *
 * Created: Tue Sep 12 20:43:06 2000
 *
 * @author 
 * @version
 */

package com.softtrac.util;


public class Assertion {

   public Assertion(boolean arg) {
      //>
      this(new Boolean(arg), new Boolean(true));
      //<
   }
   public Assertion(boolean arg1, boolean arg2) {
      //>
      this(new Boolean(arg1), new Boolean(arg2));
      //<
   }
   public Assertion(char arg1, char arg2) {
      //>
      this(new Character(arg1), new Character(arg2));
      //<
   }
   public Assertion(int arg1, int arg2) {
      //>
      this(new Integer(arg1), new Integer(arg2));
      //<
   }
   public Assertion(double arg1, double arg2) {
      //>
      this(new Double(arg1), new Double(arg2));
      //<
   }
   public Assertion(Object arg1, Object arg2) {
      //>
      if (!arg1.equals(arg2)) {
         throw new Failure(arg1 + " != " + arg2);
      }
      //<
   }
   class Failure extends Error {
      //>
      Failure(String message) { super(message); }
      //<
   }
   
}// Assertion
